Rename workspace
curl --request PATCH \
--url https://api.gologin.com/workspaces/{wid}/rename \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "My new Workspace"
}
'import requests
url = "https://api.gologin.com/workspaces/{wid}/rename"
payload = { "name": "My new Workspace" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'My new Workspace'})
};
fetch('https://api.gologin.com/workspaces/{wid}/rename', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"owner": "<string>",
"planId": "<string>",
"planName": "<string>",
"paymentMethod": "<string>",
"planMembersMax": 123,
"isPlanUnlimited": true,
"planExpiresAt": "2023-11-07T05:31:56Z",
"paymentIsTrial": true,
"isUnpaid": true,
"memberCount": 123,
"profilesCount": 123,
"planProfilesMax": 123,
"permissions": {
"canAddBilling": true,
"canClaimProfilesWithoutFolder": true
}
}Workspace
Rename workspace
Renames a workspace.
PATCH
/
workspaces
/
{wid}
/
rename
Rename workspace
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Workspace ID
Body
application/json
New name of the workspace.
Example:
"My new Workspace"
Response
200 - application/json
Show child attributes
Show child attributes
Was this page helpful?
⌘I